Subject: Re: mpc 860 boot linux2.6.23 problem

From: Jochen Friedrich <[email-masked]>
Date: Wed, 17 Oct 2007 20:54:54 +0200

Hi Scott,

> I just pulled Wolfgang's latest u-boot tree, and I don't see any fdt or 
> ft_ calls in cpu/mpc8xx, nor in any 8xx board that I recognize.
>
> I may have been unclear in that I was talking about device tree support 
> in u-boot, not the kernel.  Obviously there's device tree support in the 
> kernel, as evidenced by my reference to using cuImage.
>   

Can u-boot work on dtb trees embedded in an cuImage, at all?
How would command line arguments work without a chosen
node?

I tried to boot a mpc823 using the 3 argument mboot command.
u-boot processed the dtb and added the chosen node correctly,
however the kernel immediately oopsed with unable to access
virtual memory when accessing the dtb memory as this memory
was not contained in the kernel MMU space.

Thanks,
Jochen